﻿using Syncfusion.UI.Xaml.Grid;
using System.Windows.Input;

namespace SfDataGridDemo
{
    public class GridCellSelectionControllerExt : GridCellSelectionController
    {
        public GridCellSelectionControllerExt(SfDataGrid dataGrid)
        : base(dataGrid)
        {

        }
        protected override void ProcessKeyDown(KeyEventArgs args)
        {
            if (args.Key == Key.Enter)
            {
                args.Handled = false;
                return;
            }
            base.ProcessKeyDown(args);
        }
    }
}