﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace SfDataGridDemo
{
    public class ViewModel 
    {       
        public ViewModel()
        {                       
            GDCSource = new List<Model>();
           
            Country11 = new List<string>();
            Country11.Add("NAURU_ the island country");
            Country11.Add("NEPAL_Federal Democratic Republic of Nepal");
            Country11.Add("NETHERLANDS_the constituent country");
            Country11.Add("NEWCALEDONIA_the overseas territory. ");
            Country11.Add("NEWZEALAND_the country within the Realm of New Zealand");
            Country11.Add("NICARAGUA_language is Spanish");


            this.gdcsource = new List<Model>();
            
            this.gdcsource.Add(new Model() { EmployeeName = "Mart",CountryCode= "NAURU_ the island country", EmployeeAge = 45,  EmployeeSalary = 33000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = false });
            this.gdcsource.Add(new Model() { EmployeeName = "Peter", CountryCode = "NEPAL_Federal Democratic Republic of Nepal", EmployeeAge = 35, EmployeeSalary = 5678, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = true });
            this.gdcsource.Add(new Model() { EmployeeName = "James", CountryCode = "NETHERLANDS_the constituent country", EmployeeAge = 42, EmployeeSalary = 18700, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = true });
            this.gdcsource.Add(new Model() { EmployeeName = "Oliver", CountryCode = "NEWZEALAND_the country within the Realm of New Zealand", EmployeeAge = 36, EmployeeSalary = 67000, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = false });
            this.gdcsource.Add(new Model() { EmployeeName = "Robert", CountryCode = "NICARAGUA_language is Spanish", EmployeeAge = 54, EmployeeSalary = 34567, ExperienceInMonth = 10, EmployeeGender = "Male", EmployeeDate = DateTime.Now, Review = false });
            this.gdcsource.Add(new Model() { EmployeeName = "Suji", CountryCode = "NETHERLANDS_the constituent country", EmployeeAge = 45 , EmployeeSalary = 90000, ExperienceInMonth = 10, EmployeeGender = "Female", EmployeeDate = DateTime.Now, Review = true });
           
            InitialiseProductOptionsView();
        }      
        public ICollectionView ProductsView { get; private set; }
        public ICollectionView Employee { get; private set; }
        private void InitialiseProductOptionsView()
        {
            Employee = CollectionViewSource.GetDefaultView(GDCSource);
            ProductsView = CollectionViewSource.GetDefaultView(Country11);
        }

        private List<Model> gdcsource;
        public List<Model> GDCSource
        {
            get
            {
                return gdcsource;
            }
            set
            {
                this.gdcsource = value;
                
            }
        }
      
        private List<string> _country1;
        public List<string> Country11
        {
            get
            {
                return _country1;
            }
            set
            {
                this._country1 = value;

            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }   
}
            
        
     

